Get contract info
curl --request GET \
--url https://build.vibechain.com/vibe/boosterbox/contractAddress/{contractAddressOrSlug} \
--header 'API-KEY: <api-key>'import requests
url = "https://build.vibechain.com/vibe/boosterbox/contractAddress/{contractAddressOrSlug}"
headers = {"API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-KEY': '<api-key>'}};
fetch('https://build.vibechain.com/vibe/boosterbox/contractAddress/{contractAddressOrSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"game": {
"gameId": "<string>",
"tokenAddress": "<string>",
"tokenName": "<string>",
"tokenSymbol": "<string>",
"nftName": "<string>",
"nftSymbol": "<string>",
"description": "<string>",
"imageUrl": "<string>",
"websiteUrl": "<string>",
"isGraduated": true,
"marketCap": "<string>",
"marketCapUsd": "<string>",
"preorderProgress": 123,
"pricePerPack": "<string>",
"pricePerPackUsd": "<string>",
"dropContractAddress": "<string>",
"ownerAddress": "<string>",
"slug": "<string>",
"bgColor": "<string>",
"featuredImageUrl": "<string>",
"packImage": "<string>",
"isActive": true,
"isFeatured": true,
"isVerified": true,
"isVerifiedArtist": true,
"disableFoil": true,
"disableWear": true,
"links": {
"twitter": "<string>",
"discord": "<string>",
"website": "<string>"
},
"version": "<string>",
"chainId": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}API Reference
Get contract info
GET
/
contractAddress
/
{contractAddressOrSlug}
Get contract info
Headers
Free API key needed to authorize requests. Get one at: https://docs.vibechain.com/api-reference/vibemarket-intro
Path Parameters
Contract address or slug
Query Parameters
The chain ID
⌘I